Bug 149212 - Missed Custom Groups after crash
Summary: Missed Custom Groups after crash
Status: RESOLVED FIXED
Alias: None
Product: ktorrent
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Joris Guisson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-26 07:34 UTC by Sergei Andreev
Modified: 2008-01-18 20:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Andreev 2007-08-26 07:34:34 UTC
Version:           2.2.1 (using KDE 3.5.7, Kubuntu (feisty) 4:3.5.7-0ubuntu1~feisty2)
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.20-16-generic

There was crash of Ktorrent during shutdown - so no backtrace.
After restart all my Custom Groups are missed.

Custom Groups is very useful feature, so I have to enter ALL of them again.
Comment 1 Joris Guisson 2007-08-26 12:42:21 UTC
This has been fixed, groups file will now be saved more often
Comment 2 Sergei Andreev 2008-01-16 20:58:44 UTC
Reopen the bug.

Because of the smooth work of build 2.2.4 I created for about 15-20 custom groups with structure:

group1 - torrent1 torrent2 torrent3 
group2 - torrent1 torrent4 torrent5
group3 - torrent1 torrent5 torrent6


It worked but after severel logoffs - another crash without usefull backtrace.

Are there a limit of custom groups for safety work or something? 

I can't remember was this scheme with multiple enterings actually worked because now I can't add torrent to custom group and this should be another bug.
Comment 3 Joris Guisson 2008-01-17 08:39:48 UTC
Are the groups gone ?
Comment 4 Sergei Andreev 2008-01-17 12:15:12 UTC
>Are the groups gone ? 

Yes, all previous custom groups are gone - the tab was empty, when I launched ktorrent again.
Comment 5 Joris Guisson 2008-01-18 20:26:46 UTC
SVN commit 763156 by guisson:

Don't save groups at exit anymore, this is no longer necesary seeing that the groups are saved when something changes
This should also prevent a crash at exit from screwing up the groups file

BUG: 149212



 M  +0 -1      ktorrent.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=763156